<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="schema-wrapper">
        <SchemaTable :schemaData="schemaData" />
    </div>
</template>

<script setup lang="ts">
    interface schemaDataArray {
        id: number;
        name: string;
        description: string;
        terms: string;
        tags: object
    }
    const schemaData = ref<schemaDataArray[]>([
        {
            id: 1,
            name: 'customer_id',
            description: 'lorem ipsum dolor sit amet',
            terms: '',
            tags: [{id: 1, type: 'secondary', value: 'mandatory'},{id: 2, type: 'default', value: 'integer'},{id: 3, type: 'null', value: 'nullable'}]
        },
        {
            id: 2,
            name: 'first_name',
            description: 'lorem ipsum dolor sit amet',
            terms: 'First Name',
            tags:  [{id: 1, type: 'default', value: 'string'},{id: 2, type: 'null', value: 'nullable'}]
        },
        {
            id: 3,
            name: 'last_name',
            description: 'lorem ipsum dolor sit amet',
            terms: 'Last Name',
            tags: [{id: 1, type: 'default', value: 'string'},{id: 2, type: 'null', value: 'nullable'}],
        },
        {
            id: 4,
            name: 'identifier',
            description: 'lorem ipsum dolor sit amet',
            terms: '',
            tags: [{id: 1, type: 'default', value: 'integer'},{id: 2, type: 'null', value: 'nullable'}],
        }
    ])
</script>